GEOS: geos::algorithm::BoundaryNodeRule Class Reference

GEOS 3.5.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
geos::algorithm::BoundaryNodeRule Class Referenceabstract

`#include <BoundaryNodeRule.h>`

## Public Member Functions
virtual bool | isInBoundary (int boundaryCount) const =0

## Static Public Member Functions
static const BoundaryNodeRule & | getBoundaryRuleMod2 ()
| The Mod-2 Boundary Node Rule (which is the rule specified in the OGC SFS). More...
static const BoundaryNodeRule & | getBoundaryEndPoint ()
| The Endpoint Boundary Node Rule. More...
static const BoundaryNodeRule & | getBoundaryMultivalentEndPoint ()
| The MultiValent Endpoint Boundary Node Rule. More...
static const BoundaryNodeRule & | getBoundaryMonovalentEndPoint ()
| The Monovalent Endpoint Boundary Node Rule. More...
static const BoundaryNodeRule & | getBoundaryOGCSFS ()
| The Boundary Node Rule specified by the OGC Simple Features Specification, which is the same as the Mod-2 rule. More...

## Detailed Description

An interface for rules which determine whether node points which are in boundaries of Lineal geometry components are in the boundary of the parent geometry collection. The SFS specifies a single kind of boundary node rule, the Mod2BoundaryNodeRule rule. However, other kinds of Boundary Node Rules are appropriate in specific situations (for instance, linear network topology usually follows the EndPointBoundaryNodeRule.) Some JTS operations allow the BoundaryNodeRule to be specified, and respect this rule when computing the results of the operation.

Author
  Martin Davis

Version
  1.7

See also
  operation::relate::RelateOp
  operation::IsSimpleOp
  algorithm::PointLocator

## Member Function Documentation

static const BoundaryNodeRule& geos::algorithm::BoundaryNodeRule::getBoundaryEndPoint | ( |  | ) |
| static

The Endpoint Boundary Node Rule.

See also
  EndPointBoundaryNodeRule

static const BoundaryNodeRule& geos::algorithm::BoundaryNodeRule::getBoundaryMonovalentEndPoint | ( |  | ) |
| static

The Monovalent Endpoint Boundary Node Rule.

See also
  MonoValentEndPointBoundaryNodeRule

static const BoundaryNodeRule& geos::algorithm::BoundaryNodeRule::getBoundaryMultivalentEndPoint | ( |  | ) |
| static

The MultiValent Endpoint Boundary Node Rule.

See also
  MultiValentEndPointBoundaryNodeRule

static const BoundaryNodeRule& geos::algorithm::BoundaryNodeRule::getBoundaryOGCSFS | ( |  | ) |
| static

The Boundary Node Rule specified by the OGC Simple Features Specification, which is the same as the Mod-2 rule.

See also
  Mod2BoundaryNodeRule

static const BoundaryNodeRule& geos::algorithm::BoundaryNodeRule::getBoundaryRuleMod2 | ( |  | ) |
| static

The Mod-2 Boundary Node Rule (which is the rule specified in the OGC SFS).

See also
  Mod2BoundaryNodeRule

virtual bool geos::algorithm::BoundaryNodeRule::isInBoundary | ( | int | boundaryCount | ) | const
| pure virtual

Tests whether a point that lies in `boundaryCount` geometry component boundaries is considered to form part of the boundary of the parent geometry.

Parameters

  boundaryCount | the number of component boundaries that this point occurs in

Returns
  true if points in this number of boundaries lie in the parent boundary

The documentation for this class was generated from the following file:

- BoundaryNodeRule.h